#ifndef _SCP_SESSION_H_
#define _SCP_SESSION_H_
#include <glib.h>
#include <gtk/gtk.h>

typedef struct scp_session ScpSession;

struct scp_session {
    pid_t pPid;
    int pipeReadFd;
    int bufferingStReadFd;

    GString* sopcastExe;
    int sopcastLocalPort;
    int sopcastPlayerPort;
    GString* url;
    
    GString* playerExe;
    GtkDialog* buferringDlg;
    GtkProgressBar* pBar;
};

int ScpSessionRun(ScpSession* ss, const char* sopcastExe, int sopcastLocalPort, int sopcastPlayerPort, const char *playerExe, const char* url);
int ScpSessionStop(ScpSession* ss);
#endif

